Module jdk.compiler
Package com.sun.source.tree

## Interface ForLoopTree

All Superinterfaces:
  `StatementTree`, `Tree`

    public interface ForLoopTree
    extends StatementTree

A tree node for a basic `for` loop statement. For example:

       for ( initializer ; condition ; update )
           statement

Since:
  1.6
See The Java™ Language Specification:
  section 14.14.1

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getCondition()` Returns the condition of the `for` statement.
`List<? extends StatementTree>` `getInitializer()` Returns any initializers of the `for` statement.
`StatementTree` `getStatement()` Returns the body of the `for` statement.
`List<? extends ExpressionStatementTree>` `getUpdate()` Returns any update expressions of the `for` statement.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getInitializer

    List<? extends StatementTree> getInitializer()

Returns any initializers of the `for` statement. The result will be an empty list if there are no initializers

Returns:
  the initializers

#### getCondition

    ExpressionTree getCondition()

Returns the condition of the `for` statement. May be `null` if there is no condition.

Returns:
  the condition

#### getUpdate

    List<? extends ExpressionStatementTree> getUpdate()

Returns any update expressions of the `for` statement.

Returns:
  the update expressions

#### getStatement

    StatementTree getStatement()

Returns the body of the `for` statement.

Returns:
  the body